slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPNLEIGSGetLocking

Gets the locking flag used in the NLEIGS method.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPNLEIGSGetLocking(NEP nep,PetscBool *lock)

Not Collective

### Input Parameter

| nep | - the nonlinear eigensolver context

### Output Parameter

| lock | - the locking flag

### See Also

NEPNLEIGSSetLocking()

### Level

advanced

### Location

src/nep/impls/nleigs/nleigs.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages